package cn.com.ctop.kuaishou.modules.report.service;

import cn.com.ctop.kuaishou.modules.report.entity.KuaishouVideoEtlInfo;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.Date;

/**
 * @Description: 快手视频信息清洗表(有效，爆款)
 * @Author: jeecg-boot
 * @Date:   2020-12-17
 * @Version: V1.0
 */
public interface IKuaishouVideoEtlInfoService extends IService<KuaishouVideoEtlInfo> {
    void etlKuaishouVideoInfo(Date date);

    void etlKuaishouVideoInfoGroupByProjectId(Date date);

    KuaishouVideoEtlInfo getBySignature(String signature);
}
